## paragent.tar.gz

=== ucw-boxset/dependencies/detachtty/Makefile ===

# OS_* variables vary according to your operating system.  See INSTALL
# for details

# Linux 2.4
OS_CFLAGS=-DNEED_PTY_H                       
# FreeBSD, version unknown
#OS_CFLAGS=-DNEED_LIBUTIL_H                  
# Solaris, some version of
#OS_CFLAGS=-DNEED_STRINGS_H -DNEED_LOCAL_FORKPTY_H
# MacOS X needs libpoll from fink
# OS_CFLAGS=-DNEED_LOCAL_FORKPTY_H -I/sw/include

# -lutil has forkpty() in it in Linux 2.4, and apparently at least
# doesn't break anything in FreeBSD.
OS_LOADLIBES=-lutil
# Solaris users need this instead
#OS_LOADLIBES=-lnsl -lsocket
# MacOS X with libpoll from fink
# OS_LOADLIBES=-L/sw/lib -lpoll

OS_OBJECTS=
# no forkpty in Solaris or MacOS X
# OS_OBJECTS=forkpty.o

INSTALL_DIR=/usr/local/bin

# You probably don't need to edit anything below this line

CFLAGS=-g $(OS_CFLAGS)
LOADLIBES=$(OS_LOADLIBES)

all: detachtty attachtty
clean: 
	rm -f *.o *~ attachtty detachtty

install: all
	install detachtty attachtty $(DESTDIR)$(INSTALL_DIR)

deb:
	rm -rf /usr/local/src/Packages/detachtty/ 
	CVSROOT=`cat CVS/Root` cvs-buildpackage -F -uc -us -rfakeroot
	lintian /usr/local/src/Packages/detachtty/detachtty*.changes

detachtty: detachtty.o copy-stream.o errors.o $(OS_OBJECTS)
attachtty: attachtty.o copy-stream.o errors.o $(OS_OBJECTS)

=== ucw-boxset/dependencies/cl-l10n/doc/Makefile ===
# -*- Mode: Makefile; tab-width: 4; indent-tabs-mode: t -*-

all: docs

docs:
	sh gendocs.sh -o manual --html "--css-include=style.css" cl-l10n "CL-L10N Manual"

clean:
	find . \( -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.tps" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf manual 

upload-docs:
	rsync -av --delete -e ssh manual common-lisp.net:/project/cl-l10n/public_html/

# vim: ft=make ts=4 noet

=== ucw-boxset/dependencies/net-telent-date_0.42/debian/control ===
Source: cl-net-telent-date
Section: unknown
Priority: optional
Maintainer: Daniel Barlow <dan@telent.net>
Build-Depends: debhelper (>> 3.0.0), sbcl
Standards-Version: 3.5.2

Package: cl-net-telent-date
Architecture: all
Depends: ${shlibs:Depends}
Description: Common Lisp utilities for printing and parsing dates
 Most of the code in this package is parse-time.lisp, which was
 originally written by Jim Healy in June 1987, and has been lifted
 wholesale from CMUCL.
 .
 The rest of it is a few useful functions for printing dates in
 human-readable formats:

=== ucw-boxset/dependencies/net-telent-date_0.42/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

LISP_PACKAGE=net-telent-date
DEBIAN_PACKAGE=cl-$(LISP_PACKAGE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	echo '(load "$(LISP_PACKAGE).system") (load "make-makefile") (make-makefile (quote $(LISP_PACKAGE)) "Makefile")' | sbcl --noprogrammer --noinform
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f Makefile
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(DEBIAN_PACKAGE)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
